package com.th.demo.mapping.system;

import com.th.demo.model.system.SysDepartment;

import java.util.List;

public interface SysDepartmentMapper {
    int deleteByPrimaryKey(String id);

    int insert(SysDepartment record);

    int insertSelective(SysDepartment record);

    SysDepartment selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(SysDepartment record);

    int updateByPrimaryKey(SysDepartment record);


    List<SysDepartment> selectByParam(String deptName);

    List<SysDepartment> selectByFid(String fid);

    List<SysDepartment> selectByUserId(String userId);

    int deleteByUpdate9(SysDepartment record);
}